/* Normalize */
* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

/* Styles pour l'en-tête */
header {
    position: fixed;
    top: 0;
    left: 20px;
    width: 200px; /* Largeur du logo */
    height: 50px; /* Hauteur du logo */
    background: transparent; /* Fond transparent */
    z-index: 1000; 
}

/* Styles pour le logo */
#logo {
    width: 100%;
    height: 100%;
    object-fit: contain; /* Ajustez la taille du logo tout en maintenant les proportions */
}

/* Styles pour le menu burger */
.burger {
    cursor: pointer;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    width: 30px;
    height: 20px;
    margin-right: 20px; 
}

.bar {
    width: 100%;
    height: 3px;
    background-color: white; /* Couleur des barres du menu burger */
    transition: 0.4s;
    border-radius: 5px;
}

/* Styles pour le menu déroulant */
.menu {
    display: none;
    position: absolute;
    top: 50px; /* Ajustez la position verticale du menu déroulant */
    right: 20px; /* Ajustez la position horizontale du menu déroulant */
    background-color: #fff; /* Couleur de fond du menu déroulant */
    border: 1px solid #ccc; /* Bordure du menu déroulant */
    z-index: 1001; /* Assurez-vous que le menu est au-dessus de l'en-tête */
}

.menu ul {
    list-style: none;
    padding: 0;
}

.menu li {
    padding: 10px;
}

.menu a {
    text-decoration: none;
    color: black; /* Couleur des liens du menu déroulant */
    }

  /* Dimensionner les diapos et leur contenu */
  /* Ajouter un fond unique, couvrant l'écran */
  /* Fixer le fond, et hop ! */
  
  .parallax {
    overflow-y: auto;
    height: 100vh;
    scroll-snap-type: y mandatory;
  }


  section {
    height: 100vh;
    text-align: center;
    color: white;
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
    scroll-snap-align: start;
  }
  

  
  section:nth-of-type(1) {
    /* On peut aussi mettre un gif animé ou un webp animé... */
    background-image: url("../medias/poster/dune_poster01.jpg");
    position: relative;
  }
  
  section:nth-of-type(2) {
    background-image: url("../medias/images/Dune04.webp");
    position: relative;
  }

  section:nth-of-type(3) {
    background-image: url("../medias/images/02.jpg");
    position: relative;
  }
  
  section:nth-of-type(4) {
    background-image: url("../medias/images/dune-production_01.jpg");
    position: relative;
  }

  section:nth-of-type(5) {
    background-image: url("../medias/images/dune-sharon-duncan-brewster.jpeg");
    position: relative;
  }

  section:nth-of-type(6) {
    background-image: url("../medias/images/Dune05.webp");
    position: relative;
  }


  
  .video {
  position: fixed !important;
  width: 20vw !important;
  height: calc(20vw * 3 / 4) !important;
  top: 5vh !important;
  right: 5vw !important;
  border-radius: 20px !important;
  }

  #conteneurVideo {
    position: absolute;
    top: 40vh;
    left: 5vw;
    width: 50vw;
    height: calc(50vw * 390 / 640);
    display: inline-block;
    border-radius: 20px;
    margin: auto; /* Centrez la video horizontalement */
    margin-top: 0;

  }

  h2 {
  font-size: 30 px;
}

  .section-content {
    display: flex;
    flex-direction: column; /* Empilez les éléments verticalement */
    align-items: center; /* Centrez les éléments horizontalement */
    justify-content: center; /* Centrez les éléments verticalement */
    height: 100vh; /* Hauteur de la section */
    text-align: center;
    color: white;
    position: relative;
    z-index: 1;
    top: 25%; /* Ajustez la position verticalement */
}


.bande {
  display: flex;
  justify-content: space-between;
  background-color: rgba(255, 255, 255, 0.5);
  margin: 0 auto; /* Centrez la bande horizontalement */
    
}

.column {
    flex: 1;
    text-align: justify;
    padding: 5vh;
}

/* Ajoutez une bordure à droite à toutes les colonnes sauf la dernière */
.column:not(:last-child) {
  border-right: 1px solid white; /* Bordure à droite avec la couleur blanche */
  margin: 10px;
}
  
.section-image {
    position: absolute;
    top: 45%; /* Centrage vertical */
    right: 5%; /* Ajustez la position horizontale */
    transform: translateY(-50%); /* Décalage vers le haut de 50% de sa propre hauteur pour le centrage vertical */
    z-index: 2; /* Assurez-vous que l'image est au-dessus de la barre */
    border-radius: 10px; /* Coins arrondis pour l'image */
    height: calc(30vw * 390 / 640);
}

/* Carrousel */
.carrousel-container {
  display: flex;
  overflow: hidden;
}

.carrousel-item {
  width: 100%;
  height: auto;
  transition: transform 0.5s ease-in-out;
}

.carrousel-navigation {
  position: absolute;
  top: 50%;
  width: 100%;
  display: flex;
  justify-content: space-between;
}

.arrow {
  width: 30px;
  height: 30px;
  fill: white;
  cursor: pointer;
}

.left {
  transform: rotate(180deg);
}
